//<SCRIPT LANGUAGE=javascript>
<!--


////////////////////////////////////////////////////////
// goal:	prevent this frame from being top frame
//			so make sure correct topframe is in top
// input:	sTopPage; top pagina, bv '/index.php'
//			sParams; querystring zonder '?'
// pre:		beide parameters gevuld, of beide niet!
////////////////////////////////////////////////////////
function stayInSubTopFrame(sTopPage, sParams)
{
	// get extension
	var sExt = ".php";
	var nDotPos = sTopPage.indexOf(".");
	if (nDotPos>=0)
	{
		var nQstPos = sTopPage.indexOf("?");
		if (nQstPos>=0)
			sExt = "." + sTopPage.substr( nDotPos+1, nQstPos-nDotPos-1 );
		else
			sExt = "." + sTopPage.substr( nDotPos+1 );
	}

	if (sParams==null)
		sParams = '';
		
	// if given toppage not in top, and current toppage does have extension
	if (window.top.location.href.indexOf(sTopPage)==-1 && window.top.location.href.indexOf(sExt)!=-1)
		window.top.location.replace(sTopPage+(sParams==''?'':'?'+sParams));
}



////////////////////////////////////////////////////////
// goal:	make sure this frame is topframe
//			prevent embedding by other sites
// input:	sPage; current page, e.g. 'index.php', only needed with extra params
//			sExtraParam; querystring without '?'
// pre:		both parameters given, of both not!
////////////////////////////////////////////////////////
function stayInTopFrame(sPage, sExtraParam)
{
	if (window.top != window.self)
	{
		if (sPage==null || sPage=='' || sExtraParam==null || sExtraParam=='')
			window.top.location.href = window.location.href;
		else
		{
			// fetch current parameters out of current URL, if present
			// voor meegeven extra parameters, zoals referer info
			var sURL = window.location.href;
			var sPreParam = '';
			// if '?' not present
			if (sURL.indexOf("?")==-1)
			{
				if (sURL.indexOf(sPage)==-1)
				{
					if (sURL.substr(sURL.length-1,1)!='/')
						sPreParam += '/';
					sPreParam += sPage;
				}
				sPreParam += '?';
				// sPreParam now form of: 'page.ext?' OR '/page.ext?'
			}
			else // '?' present
				if ((sURL.substr(sURL.length-1,1)!='?') && (sURL.substr(sURL.length-1,1)!='&'))
					sPreParam += '&';// sPreParam now form of: '&'
			// sPreParam now form of: 'page.ext?' OR '/page.ext?' OR '&' OR ''
					
			window.top.location.href = sURL+sPreParam+sExtraParam;
		}
	}
}


////////////////////////////////////////////////////////
// goal:	openen van pagina in popup
// input:	alleen eerste 4 parameters verplicht!
////////////////////////////////////////////////////////
function openPopup(sURL, sPopupID, nWidth, nHeigth, sScrolling, sResizing, nLeft, nTop, sFullScreen)
{
	// defaults
	if (sScrolling==null)	sScrolling='no'; // no/yes
	if (sResizing==null)	sResizing='no'; // no/yes
	if (nLeft==null)		nLeft=100;
	if (nTop==null)			nTop=100;
	if (sFullScreen==null)	sFullScreen='no'; // no/yes
		
	window.open(sURL,sPopupID,'width='+nWidth+',height='+nHeigth+',left='+nLeft+',top='+nTop+',dependent=yes,directories=no,fullscreen='+sFullScreen+',menubar=no,status=no,toolbar=no,resizable='+sResizing+',scrollbars='+sScrolling);
}


//-->
//</SCRIPT>